Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1414388 - provide useful error when attempting unsupported migration scenario
Summary: provide useful error when attempting unsupported migration scenario
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 11:58 UTC by Frantisek Sumsal
Modified: 2017-03-21 12:10 UTC (History)
4 users (show)

Fixed In Version: preupgrade-assistant-2.3.2-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-03-21 12:10:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0819 0 normal SHIPPED_LIVE preupgrade-assistant bug fix and enhancement update 2017-03-21 12:53:47 UTC

Comment 6 Alois Mahdal 2017-03-10 03:32:57 UTC
preupgrade-assistant-2.3.3-1.el6:

    # preupg --dst-arch ppc64
    The Preupgrade Assistant is a diagnostics tool 
    and does not perform the actual upgrade.
    Do you want to continue? [Y/n]
    y
    Gathering logs used by the Preupgrade Assistant:
    All installed packages                                 : 01/10 ...finished (time 00:00s)
    All changed files                                      : 02/10 ...finished (time 00:28s)
    Changed config files                                   : 03/10 ...finished (time 00:00s)
    All users                                              : 04/10 ...finished (time 00:00s)
    All groups                                             : 05/10 ...finished (time 00:00s)
    Service statuses                                       : 06/10 ...finished (time 00:00s)
    All installed files                                    : 07/10 ...finished (time 00:00s)
    All local files                                        : 08/10 ...finished (time 00:00s)
    All executable files                                   : 09/10 ...finished (time 00:00s)
    RedHat signed packages                                 : 10/10 ...finished (time 00:00s)
    The migration from Red Hat Enterprise Linux (RHEL) 6.9 x86_64 to RHEL 7.3 ppc64 is not supported.
    Error: File(s) missing in a module

This is much better than the previous situation.

Comment 8 errata-xmlrpc 2017-03-21 12:10:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0819.html


Note You need to log in before you can comment on or make changes to this bug.